blob: 4f0037148d9a1c2d618c7fe6745bda2a5bee46e4 [file] [log] [blame]
#!/usr/bin/env bash
# group: rw quick
#
# Test case for dmg
#
# Copyright (C) 2019 yuchenlin <npes87184@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# creator
owner=npes87184@gmail.com
seq=`basename $0`
echo "QA output created by $seq"
status=1 # failure is the default!
_cleanup()
{
rm -f "$TEST_IMG.raw"
_cleanup_test_img
}
trap "_cleanup; exit \$status" 0 1 2 3 15
# get standard environment, filters and checks
. ./common.rc
_supported_fmt dmg
_supported_proto file
_supported_os Linux
echo
echo "== Testing conversion to raw should success =="
_use_sample_img simple-dmg.dmg.bz2
if ! $QEMU_IMG convert -f $IMGFMT -O raw "$TEST_IMG" "$TEST_IMG.raw" ; then
exit 1
fi
# success, all done
echo "*** done"
rm -f $seq.full
status=0